> For the complete documentation index, see [llms.txt](https://docs.alcor.exchange/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alcor.exchange/developers-api/api/account.md).

# Account

#### History

<mark style="color:blue;">`GET`</mark> `https://wax.alcor.exchange/api/account/:name/deals`

Get deals history for specific account

#### Path Parameters

| Name                                   | Type   | Description  |
| -------------------------------------- | ------ | ------------ |
| name<mark style="color:red;">\*</mark> | String | Account name |

#### Query Parameters

| Name   | Type   | Description            |
| ------ | ------ | ---------------------- |
| market | Number | Filter by market\_id   |
| limit  | Number | Results count limit    |
| skip   | Number | Skip number of results |

#### Liquidity positions

<mark style="color:blue;">`GET`</mark> `https://wax.alcor.exchange/api/account/:name/liquidity_positions`

Get account liquidity pools positions

#### Path Parameters

| Name | Type   | Description  |
| ---- | ------ | ------------ |
| name | String | Account name |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.alcor.exchange/developers-api/api/account.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
